Duplicate Loyalty Program Offer
curl --request POST \
--url https://api.loyalty.dog/v2/loyalty/programs/{programId}/offers/{offerId}/duplicate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"autoClaim": false,
"autoClaimOverwrite": false,
"notify": true,
"notifyMessage": "<string>",
"pointsMin": 123,
"pointsMax": 123,
"pointsCost": 123,
"limitPerCustomer": 123,
"availabilityCount": 123,
"value": 123,
"currency": "<string>",
"categories": "<string>",
"products": "<string>"
}
'import requests
url = "https://api.loyalty.dog/v2/loyalty/programs/{programId}/offers/{offerId}/duplicate"
payload = {
"name": "<string>",
"description": "<string>",
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"autoClaim": False,
"autoClaimOverwrite": False,
"notify": True,
"notifyMessage": "<string>",
"pointsMin": 123,
"pointsMax": 123,
"pointsCost": 123,
"limitPerCustomer": 123,
"availabilityCount": 123,
"value": 123,
"currency": "<string>",
"categories": "<string>",
"products": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
startDate: '2023-11-07T05:31:56Z',
endDate: '2023-11-07T05:31:56Z',
autoClaim: false,
autoClaimOverwrite: false,
notify: true,
notifyMessage: '<string>',
pointsMin: 123,
pointsMax: 123,
pointsCost: 123,
limitPerCustomer: 123,
availabilityCount: 123,
value: 123,
currency: '<string>',
categories: '<string>',
products: '<string>'
})
};
fetch('https://api.loyalty.dog/v2/loyalty/programs/{programId}/offers/{offerId}/duplicate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Loyalty
Duplicate Loyalty Program Offer
Duplicate Offer
Creates a duplicate of an existing offer within a loyalty program.
-
Path Parameters:
programId: UUID of the loyalty program
-
Request Body:
data: JSON object containing the new offer data.
-
Returns:
- Details of the duplicated offer as a JSON object.
POST
/
v2
/
loyalty
/
programs
/
{programId}
/
offers
/
{offerId}
/
duplicate
Duplicate Loyalty Program Offer
Authorizations
JWT access token obtained from POST /v2/token.
Headers
Path Parameters
Required string length:
24Pattern:
^[0-9a-f]{24}$Example:
"5eb7cf5a86d9755df3a6c593"
Required string length:
24Pattern:
^[0-9a-f]{24}$Example:
"5eb7cf5a86d9755df3a6c593"
Body
application/json
Available options:
fixed, percent, other Available options:
min, max, none Response
Successful Response
⌘I
